DeluxHostAPI Reference
Dedicated servers & virtual machines

Get server details

GET
/v1/services/{serviceId}/tenantos/detail

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

serviceId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
powerState*string|string|string
powerActions*array<string|string|string|string>
type*null|string
hostname*null|string
os*null|string
primaryIp*null|string
ips*array<>
hardware*
traffic*null|
console*boolean
reinstall*boolean
busy*boolean
rescueRunning*boolean
curl -X GET 'https://api.deluxhost.net/v1/services/0/tenantos/detail' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "powerState": "running",  "powerActions": [    "on"  ],  "type": null,  "hostname": null,  "os": null,  "primaryIp": null,  "ips": [    {      "ip": "string",      "family": 4,      "primary": true,      "isSubnet": true,      "cidr": null,      "gateway": null,      "netmask": null,      "rdns": true    }  ],  "hardware": {    "cpu": {      "model": null,      "cores": null,      "mhz": null,      "count": null    },    "memory": {      "totalMb": null,      "modules": [        {          "model": null,          "sizeMb": null        }      ]    },    "disks": [      {        "model": null,        "sizeMb": null      }    ]  },  "traffic": null,  "console": true,  "reinstall": true,  "busy": true,  "rescueRunning": true}